#!/usr/bin/env python
# -*- coding: UTF-8 -*-
"""Exemple d'agent
"""

import os,commands
from agent import Agent

class AgentExemple(Agent):
    """Exemple
    """
    def __init__(self):
        self.name = "exemple"
        self.description="""Exemple d'agent"""
        Agent.__init__(self)
        # traitements
        brut = self._traitement()
        self.contenu_xml = traitement_xml(brut)
        self.contenu_html = traitement_html(brut)
        # écriture dans les fichiers
        self.write_html()
        self.write_xml()

    def _brut(self):
        """Appel et traitement des commandes
        """
        # partie calcul
        resultat commande_a_personnaliser()
        # partie mise à jour du statut
        if test(resultat)==0 :
            self.set_status("0")
        # renvoi du résultat à formatter
        return resultat                                                                                                               
if __name__ == "__main__":
    AgentExemple()
